<%
'-------------------------------------------------------------+
'            Copyright  2002 David Scarmozzino               '
'                 All Rights Reserved                         '
'           http://www.TheScarms.com/AppSentinel              '
'                    TheScarms (TM)                           '
'                                                             '
' This sample was designed to serve as an example of calling  '
' the various methods of the AppSentinelAdmin DLL. It is not  '
' intended to be used "as is" in your production application. '
' The actual logic and sequence of DLL method calls must be   '
' designed to suit your specific needs.                       '
'-------------------------------------------------------------+

Response.Buffer  = True
Response.Expires = -1

Dim strEID
Dim strMID
Dim strRID
Dim strHead
Dim strBody
Dim strError
Dim strContact
Dim strTryAgain
Dim blnGood
Dim objAdmin

'Initialize.
On Error Resume Next
strError    = ""
blnGood     = False
strContact  = "If you need further help, send an email to <a href='mailto:Sales@TheScarms.com'>Sales@TheScarms.com</a>."
strTryAgain = "<a href='EntryForm.htm'>Please try again</a>"

'Get the posted input parameters.
strEID = Trim(Request.Form("EID"))
strMID = Trim(Request.Form("MID"))

'Instantiate AppSentinelAdmin
Set objAdmin = Server.CreateObject("AppSentinelAdmin.Admin")
blnGood = (Err.Number = 0)

If blnGood Then
  '
  'Validate the Evaluation ID.
  '
  blnGood = objAdmin.ValidateEvaluationID(strEID, strError)

  If blnGood Then
    '
    'Validate the Machine ID.
    '
    blnGood = objAdmin.ValidateMachineID(strMID, strError)

    If blnGood Then
      '
      'Calculate the Registration ID.
      '
      strRID = objAdmin.CalculateRegistrationID(strEID, strMID, strError)
      blnGood = (strError = "")

      If blnGood Then
        '
        'Display the Registration ID.
        '
        strHead = "Registration ID"
        strBody = "Here is your Registration ID:<br><br>" & strRID & "<br><br>"
        strBody = strBody & "Enter it <i>exactly</i> as shown into your registration screen."
      Else
        '
        'OOPS!
        '
        strHead = "Error Creating Registration ID"
        strBody = "Error: " & strError & "<br><br>" & strTryAgain
      End If
    Else
      strHead = "Invalid Machine ID"
      strBody = "Error: " & strError & "<br><br>Machine ID: " & strMID & "<br><br>" & strTryAgain
    End IF
  Else
    strHead = "Invalid Evaluation ID"
    strBody = "Error: " & strError & "<br><br>Evaluation ID: " & strEID & "<br><br>" & strTryAgain
  End If
Else
  strHead = "Error Creating AppSentinelAdmin Object"
  strBody = "Error: " & Err.Description & "<br>(" & Err.Number & ")" & "<br><br>" & strTryAgain
End If

'Destroy object
Set objAdmin = Nothing

'
'End of VBScript/ASP code.
'
%>


<html>

<head>
  <title>TheScarms (tm) AppSentinelAdmin</title>
</head>

<body>
<table width=700 border="0" align=center><tr><td>
<p align="center">
  <font face="verdana" size="3" color="blue"><b>
  TheScarms<sup>(tm)</sup><br>AppSentinelAdmin Example</b>
  </font>
</p>
<p>&nbsp;</p>

<!---------------------------------------------------->
<! Display a form somewhat resembling a message box. ->
<!---------------------------------------------------->

<table align="center" border="1" cellpadding="0" cellspacing="0" width="500" bordercolor="cornflowerblue">
  <tr>
    <td width="100%"> 
      <table bgcolor="cornflowerblue" border='2' cellspacing='0' cellpadding='0'  bordercolor='#808080' bordercolorlight='#C0C0C0' bordercolordark=blue width=100%>
        <tr>
          <td height=35 width="100%">
            <table cellspacing='0' width="100%">
              <tr>
                <td width="100%"><p align="center">
                  <font face="verdana" size="2" color="white"><b>

                  <!------------------>
                  <!- Caption        ->
                  <!------------------>
                  <%=strHead%>

                  </b></font></p>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </td>   
  </tr>
  
  <tr>
    <td>
      <p>&nbsp;</p>
      <p align="center">
      <font face="verdana" size="2" color="blue">
      <!------------------>
      <!- Body           ->
      <!------------------>
      <%=strBody%>
      </font>
      </p>

      <p>&nbsp;</p>
      <p align="center">
      <font face="verdana" size="2" color="blue">
      <!------------------>
      <!- Home Page      ->
      <!------------------>
      <a href='http://www.TheScarms.com/AppSentinel'>Home Page</a>
      </font>
      </p>

      <p align="center">
      <font face="verdana" size="1" color="blue">
      <!------------------>
      <!- Contact        ->
      <!------------------>
      <%=strContact%>
      </font></p>            
      <p>&nbsp;</p>            
    </td>
  </tr>
</table>
</td></tr></table>

</body>
</html>